Bug 513648 - epiphany-extensions dependencies block a security update
epiphany-extensions dependencies block a security update
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: epiphany-extensions (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 515635
  Show dependency treegraph
 
Reported: 2009-07-24 11:53 EDT by Michal Jaegermann
Modified: 2009-08-05 00:45 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2.24.3-3.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 515635 (view as bug list)
Environment:
Last Closed: 2009-07-27 17:35:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2009-07-24 11:53:48 EDT
Description of problem:

An attempt to apply the latests firefox/xulrunner security updates ends up with:

--> Processing Dependency: gecko-libs = 1.9.0.11 for package: epiphany-extensions-2.24.3-2.fc10.x86_64
---> Package xulrunner.x86_64 0:1.9.0.12-1.fc10 set to be updated
---> Package yelp.x86_64 0:2.24.0-11.fc10 set to be updated
--> Finished Dependency Resolution
epiphany-extensions-2.24.3-2.fc10.x86_64 from installed has depsolving problems
  --> Missing Dependency: gecko-libs = 1.9.0.11 is needed by package epiphany-extensions-2.24.3-2.fc10.x86_64 (installed)
Error: Missing Dependency: gecko-libs = 1.9.0.11 is needed by package epiphany-extensions-2.24.3-2.fc10.x86_64 (installed)

The only way forward is to deinstall epiphany-extensions.

Version-Release number of selected component (if applicable):
epiphany-extensions-2.24.3-2.fc10

How reproducible:
always if epiphany-extensions is installed

Additional info:
On Fedora 11 currently firefox updates are messed up by epiphany dependency (see bug 513360) so this "masks" epiphany-extensions; but once that is fixed the same problem will show up there too.
Comment 1 Fedora Update System 2009-07-24 16:20:46 EDT
epiphany-extensions-2.24.3-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/epiphany-extensions-2.24.3-3.fc10
Comment 2 Alex Lancaster 2009-07-25 04:21:38 EDT
I thought that whoever bumps gecko-libs is responsible for rebuilding all dependent packages, how did this particular package get overlooked?
Comment 3 Fedora Update System 2009-07-27 17:35:00 EDT
epiphany-extensions-2.24.3-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.